SingleDecision (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.action
Interface SingleDecision

All Superinterfaces:
  ActionDecision, GuideDecision

All Known Implementing Classes:
  SimpleDecisionAction

    public interface SingleDecision

extends GuideDecision

Since:
  1.1
Author:
  Johan Hall

Method Summary
`void` | `addDecision(int code)`
`void` | `addDecision(String symbol)`
`boolean` | `continueWithNextDecision()`
`int` | `getDecisionCode()`
`int` | `getDecisionCode(String symbol)`
`String` | `getDecisionSymbol()`
`KBestList` | `getKBestList()`
`TableContainer.RelationToNextDecision` | `getRelationToNextDecision()`
`TableContainer` | `getTableContainer()`
`boolean` | `updateFromKBestList()`

Methods inherited from interface org.maltparser.parser.history.action.GuideDecision
`getGuideHistory, numberOfDecisions`

Methods inherited from interface org.maltparser.parser.history.action.ActionDecision
`clear`

Method Detail

### addDecision

    void addDecision(int code)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### addDecision

    void addDecision(String symbol)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDecisionCode

    int getDecisionCode()
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDecisionSymbol

    String getDecisionSymbol()
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDecisionCode

    int getDecisionCode(String symbol)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getKBestList

    KBestList getKBestList()
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### updateFromKBestList

    boolean updateFromKBestList()
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### continueWithNextDecision

    boolean continueWithNextDecision()
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getTableContainer

    TableContainer getTableContainer()

### getRelationToNextDecision

    TableContainer.RelationToNextDecision getRelationToNextDecision()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.